Subject: Re: [PATCH 0/5] Large file support for git-archive

From: René Scharfe <[email-masked]>
Date: Mon, 30 Apr 2012 23:07:57 +0200

Am 30.04.2012 06:57, schrieb Nguyễn Thái Ngọc Duy:
> This is a spin-off from the large file support series I posted some
> time ago [1]. Both tar and zip format now support streaming large
> blobs. Although zip will store uncompressed large blobs.
>
> [1] http://thread.gmane.org/gmane.comp.version-control.git/191605
>
> Nguyễn Thái Ngọc Duy (5):
>    archive-tar: turn write_tar_entry into blob-writing only
>    archive-tar: unindent write_tar_entry by one level
>    archive: delegate blob reading to backend
>    archive-tar: stream large blobs to tar file
>    archive-zip: stream large blobs into zip file
>
>   Documentation/git-archive.txt |    3 +
>   archive-tar.c                 |  184 ++++++++++++++++++++++++++++-------------
>   archive-zip.c                 |   56 ++++++++++++-
>   archive.c                     |   28 +++----
>   archive.h                     |   10 ++-
>   t/t1050-large.sh              |    8 ++
>   6 files changed, 209 insertions(+), 80 deletions(-)

I like the cleanups in the first two patches.

I'm neutral to positive on the third one; it certainly simplifies the 
interface to the backends with only little code duplication.

The ZIP format supports streaming natively (look for "Data descriptor" 
in http://www.pkware.com/documents/casestudies/APPNOTE.TXT). 
Incidentally, I had been working on supporting that, but without any 
presentable results.  So far.  I've adapted the pieces I had to your 
series now; will send shortly.

René